# Summary

- [selene](./selene.md)
- [Motivation](./motivation.md)
- [Luacheck Comparison](./luacheck.md)
- [Command Line Interface](./cli/index.md)
  - [Installation](./cli/installation.md)
  - [CLI Usage](./cli/usage.md)
- [Usage](./usage/index.md)
  - [Configuration](./usage/configuration.md)
  - [Filtering](./usage/filtering.md)
  - [Standard Library Format](./usage/std.md)
- [Roblox Guide](./roblox.md)
- [Contributing](./contributing.md)
- [Lints](./lints/index.md)
  - [almost_swapped](./lints/almost_swapped.md)
  - [constant_table_comparison](./lints/constant_table_comparison.md)
  - [deprecated](./lints/deprecated.md)
  - [divide_by_zero](./lints/divide_by_zero.md)
  - [duplicate_keys](./lints/duplicate_keys.md)
  - [empty_if](./lints/empty_if.md)
  - [empty_loop](./lints/empty_loop.md)
  - [global_usage](./lints/global_usage.md)
  - [high_cyclomatic_complexity](./lints/high_cyclomatic_complexity.md)
  - [if_same_then_else](./lints/if_same_then_else.md)
  - [ifs_same_cond](./lints/ifs_same_cond.md)
  - [incorrect_standard_library_use](./lints/incorrect_standard_library_use.md)
  - [manual_table_clone](./lints/manual_table_clone.md)
  - [mismatched_arg_count](./lints/mismatched_arg_count.md)
  - [mixed_table](./lints/mixed_table.md)
  - [multiple_statements](./lints/multiple_statements.md)
  - [must_use](./lints/must_use.md)
  - [parenthese_conditions](./lints/parenthese_conditions.md)
  - [roblox_incorrect_color3_new_bounds](./lints/roblox_incorrect_color3_new_bounds.md)
  - [roblox_incorrect_roact_usage](./lints/roblox_incorrect_roact_usage.md)
  - [roblox_suspicious_udim2_new](./lints/roblox_suspicious_udim2_new.md)
  - [shadowing](./lints/shadowing.md)
  - [suspicious_reverse_loop](./lints/suspicious_reverse_loop.md)
  - [type_check_inside_call](./lints/type_check_inside_call.md)
  - [unbalanced_assignments](./lints/unbalanced_assignments.md)
  - [undefined_variable](./lints/undefined_variable.md)
  - [unscoped_variables](./lints/unscoped_variables.md)
  - [unused_variable](./lints/unused_variable.md)
- [Archive](./archive/index.md)
  - [TOML Standard Library Format](./archive/std_v1.md)
